Subject: [Cbor] Re: Tag for Number as String?
From: "David E. Wheeler" <[email-masked]>
To: Carsten Bormann <[email-masked]>
Cc: [email-masked]
Date: Mon, 12 May 2025 17:00:03 -0400
List-Id: "Concise Binary Object Representation (CBOR)" <cbor.ietf.org>

On May 12, 2025, at 16:28, Carsten Bormann <[email-masked]> wrote:

> Strikes me a bit as “trapdoor specification”:
> If you already know what it is, you think this is its specification…
> But yes, that is only mildly so; most people will figure it out.
> 
> The two last paragraphs of Section 6 of RFC 8259 are counterproductive here though.
> Some of the point of this tag is that you can put in numbers that are not limited to IEEE 754 binary64 range and precision.

Fair. I can cite the earlier session in a post with the details on my blog or in a Gist or something.

Best,

David